RankSharkDocs
Lookups

Search towns and addresses

RankShark TrackScopetrack:write

POST
/v1/track/places

Up to 5 places for a typed town, ZIP code or address; also the location of a website campaign.

Scope: track:write.

Authorization

headerAuthorizationBearer <rstk_… API key or OAuth access token>

A Track API key (rstk_…, Settings → API & MCP) or an OAuth access token issued for this API

Request Body

application/json
  1. body
query*string

A town, ZIP code or address

Length2 <= length <= 200
country?string

Country code (default: any)

Lengthlength <= 2

Response Body

OK

application/json
  1. response
places*array<>

Up to 5

Example Request
curl -X POST 'https://panel.rankshark.io/v1/track/places' \  -H 'Content-Type: application/json' \  -d '{  "query": "78704",  "country": "us"}'
Example Response
{  "places": [    {      "label": "Austin, Travis County, Texas",      "lat": 30.2427,      "lng": -97.7697    }  ]}